### Constructor

# Gtk ColorDialogButtonnew

since: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_color_dialog_button_new (
      GtkColorDialog* dialog
    )

#### Description [src]

Creates a new `GtkColorDialogButton` with the given `GtkColorDialog`.

You can pass `NULL` to this function and set a `GtkColorDialog` later. The button will be insensitive until that happens.

Available since: 4.10

#### Parameters

`dialog`

  Type: `GtkColorDialog`

  The `GtkColorDialog` to use.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

The new `GtkColorDialogButton`

The data is owned by the called function.